requirejs('controls/trackListView');

window.configInfo = {

    load: function (panel, addon) {
        
        var showLinksCB = qe(panel, '[data-id=cbShowLinksTypes]');

        var ds = newStringList(true);
        var sett = window.settings.get();
        var selId = sett.Options.ActiveTrackShortcutType;

        TrackShortcuts.sort(function (i1, i2) {
            var retval = i1.order - i2.order;
            return retval;
        });
        var ts;
        var fidx = 0;
        for (var i = 0; i < TrackShortcuts.length; i++) {
            ts = TrackShortcuts[i];
            ds.add(ts.title);
            if (ts.id == selId)
                fidx = i;
        };
        showLinksCB.controlClass.dataSource = ds;
        showLinksCB.controlClass.focusedIndex = fidx;
    },

    save: function (panel, addon) {
        var showLinksCB = qe(panel, '[data-id=cbShowLinksTypes]');
        var sett = window.settings.get();
        sett.Options.ActiveTrackShortcutType = TrackShortcuts[showLinksCB.controlClass.focusedIndex].id;

        window.settings.set(sett);
        app.flushState();
    }
}
